"use strict";
/*
 * Copyright 2015, Yahoo Inc.
 * Copyrights licensed under the New BSD License.
 * See the accompanying LICENSE file for terms.
 */
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var injectIntl_1 = require("./injectIntl");
var FormattedDate = function (props) {
    var value = props.value, children = props.children, _a = props.intl, formatDate = _a.formatDate, Text = _a.textComponent;
    var formattedDate = formatDate(value, props);
    if (typeof children === 'function') {
        return children(formattedDate);
    }
    return React.createElement(Text, null, formattedDate);
};
FormattedDate.displayName = 'FormattedDate';
exports.default = injectIntl_1.default(FormattedDate);
