"use strict";
/*
 * Copyright 2015, Yahoo Inc.
 * Copyrights licensed under the New BSD License.
 * See the accompanying LICENSE file for terms.
 */
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var injectIntl_1 = require("./injectIntl");
var FormattedNumber = function (props) {
    var value = props.value, children = props.children, _a = props.intl, formatNumber = _a.formatNumber, Text = _a.textComponent;
    var formattedNumber = formatNumber(value, props);
    if (typeof children === 'function') {
        return children(formattedNumber);
    }
    return React.createElement(Text, null, formattedNumber);
};
FormattedNumber.displayName = 'FormattedNumber';
exports.default = injectIntl_1.default(FormattedNumber);
