import * as React from 'react';
import { IntlShape, FormatRelativeTimeOptions } from '../types';
import { Unit } from '@formatjs/intl-relativetimeformat';
export interface Props extends FormatRelativeTimeOptions {
    intl: IntlShape;
    value?: number;
    unit?: Unit;
    updateIntervalInSeconds?: number;
    children?(value: string): React.ReactChild;
}
interface State {
    currentValueInSeconds: number;
}
declare class FormattedRelativeTime extends React.PureComponent<Props, State> {
    _updateTimer: any;
    static defaultProps: Pick<Props, 'unit' | 'value'>;
    state: State;
    constructor(props: Props);
    scheduleNextUpdate({ updateIntervalInSeconds, unit }: Props, { currentValueInSeconds }: State): void;
    componentDidMount(): void;
    componentDidUpdate(): void;
    componentWillUnmount(): void;
    componentWillReceiveProps(nextProps: Props): void;
    render(): string | number | JSX.Element;
}
export declare const BaseFormattedRelativeTime: typeof FormattedRelativeTime;
declare const _default: (React.ComponentClass<Pick<Props, "style" | "numeric" | "localeMatcher" | "children" | "format" | "value" | "unit" | "updateIntervalInSeconds"> & {
    forwardedRef?: ((instance: any) => void) | React.RefObject<any> | null | undefined;
}, any> & {
    WrappedComponent: React.ComponentType<Props>;
}) | (React.FunctionComponent<Pick<Props, "style" | "numeric" | "localeMatcher" | "children" | "format" | "value" | "unit" | "updateIntervalInSeconds"> & {
    forwardedRef?: ((instance: any) => void) | React.RefObject<any> | null | undefined;
}> & {
    WrappedComponent: React.ComponentType<Props>;
});
export default _default;
