"use strict";
/*
 * Copyright 2015, Yahoo Inc.
 * Copyrights licensed under the New BSD License.
 * See the accompanying LICENSE file for terms.
 */
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var injectIntl_1 = require("./injectIntl");
var FormattedTime = function (props) {
    var value = props.value, children = props.children, _a = props.intl, formatTime = _a.formatTime, Text = _a.textComponent;
    var formattedTime = formatTime(value, props);
    if (typeof children === 'function') {
        return children(formattedTime);
    }
    return React.createElement(Text, null, formattedTime);
};
FormattedTime.displayName = 'FormattedTime';
exports.default = injectIntl_1.default(FormattedTime);
