/*
 * Copyright 2015, Yahoo Inc.
 * Copyrights licensed under the New BSD License.
 * See the accompanying LICENSE file for terms.
 */
import * as React from 'react';
import withIntl from './injectIntl';
const FormattedDate = props => {
    const { value, children, intl: { formatDate, textComponent: Text }, } = props;
    let formattedDate = formatDate(value, props);
    if (typeof children === 'function') {
        return children(formattedDate);
    }
    return React.createElement(Text, null, formattedDate);
};
FormattedDate.displayName = 'FormattedDate';
export default withIntl(FormattedDate);
