/*
 * Copyright 2015, Yahoo Inc.
 * Copyrights licensed under the New BSD License.
 * See the accompanying LICENSE file for terms.
 */
import * as React from 'react';
import withIntl from './injectIntl';
const FormattedNumber = props => {
    const { value, children, intl: { formatNumber, textComponent: Text }, } = props;
    let formattedNumber = formatNumber(value, props);
    if (typeof children === 'function') {
        return children(formattedNumber);
    }
    return React.createElement(Text, null, formattedNumber);
};
FormattedNumber.displayName = 'FormattedNumber';
export default withIntl(FormattedNumber);
