/*
 * Copyright 2015, Yahoo Inc.
 * Copyrights licensed under the New BSD License.
 * See the accompanying LICENSE file for terms.
 */
import * as React from 'react';
import withIntl from './injectIntl';
const FormattedTime = props => {
    const { value, children, intl: { formatTime, textComponent: Text }, } = props;
    let formattedTime = formatTime(value, props);
    if (typeof children === 'function') {
        return children(formattedTime);
    }
    return React.createElement(Text, null, formattedTime);
};
FormattedTime.displayName = 'FormattedTime';
export default withIntl(FormattedTime);
